$(document).ready(function () {
    console.log("start")
/*     
    //Non possono essere inserite lettere
   let $inputs = $('input[data-input-type="number"]');

    $inputs.on('input', function () {
    // Remove non-numeric characters except dot
    let value = $(this).val().replace(/[^0-9.]/g, ''); 

    // Assicurarsi che sia consentito solo un punto decimale
    let parts = value.split('.');
    if (parts.length > 2) {
      value = parts[0] + '.' + parts.slice(1).join('');
    }

    $(this).val(value);
  }); */
    
    let $inputs = $('input[data-input-type="number"]');
$inputs.on('input', function () {
    let value = $(this).val();
    console.log(value);
    let $div = $("#div");
    let $label = $("#label");
    if (/[^0-9.]/.test(value)) {
        $div.addClass("has-error");
        $label.html(`
        Etichetta del campo<span
            class="msg msg-errore">
            <strong>ERRORE: Descrizione dell'errore di campo</strong>
        </span>`);
    } else {
        $div.removeClass("has-error");
        $label.html("Etichetta del campo");
    }
});
    
});